#include <stdio.h>

int main(){
    int t,n;
    char s[20];

    scanf("%d",&t);

    for(int i=0; i<t; i++){
        
        scanf("%d %s",&n,s);

        for(int j=0; s[j]!='\0'; j++){
            for(int k=0; k<n; k++){
                printf("%c",s[j]);
            }
        }

        printf("\n");
    }

    return 0;
}